.hidden {
    display: none;
}

#js-modal-page {
  height: 100%;
}

/* needed for old browsers */
dialog {
  display: block;
  padding: 0;
}
/* removes scroll when modal is opened */
.no-scroll {
  overflow: hidden;
}
/* overlay covers everything */
.wpt-modal-modal-overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background: #000;
  opacity: .2;
  z-index: 9991;
  cursor: pointer;
}
/* modal */
.wpt-modal-modal,
.wpt-modal-modal--reverse {
  left: auto;
  right: 0;
  top: 0;
  bottom: 0;
  height: 100%;
  width: 42em;
  z-index: 9992;
  position: fixed;
  padding: 50px 0 0 40px;
  font-size: 1em;
  background: transparent;
  border: 0;
  overflow-y: scroll;
  animation: apparition ease .5s 1 normal;
  transform: translateZ(0);
  div[role="document"] {
    height: auto;
    min-height: 100%;
    background-color: $white;
    box-shadow: -0.5em 0 10px rgba(0,0,0, .2);
  }
}

.wpt-modal-modal--reverse {
 -webkit-animation-direction:reverse;
 animation-direction:reverse
}

@keyframes apparition {
 0% {
  opacity:0;
  max-height:100%;
  width: 0;
  left: auto;
 }
 100% {
  opacity:1;
  max-width: 100%;
  left: auto;
 }
}

.wpt-modal-modal-close {
  position: absolute;
  top: 56px; left: 0;
  border-color: #008EC2;
  background: #00a0d2;
  padding: 4px 8px;
  text-decoration: none;
  border: none;
  border: 1px solid #008EC2;
  border-radius: 0 0 0 5px;
  background: #00a0d2;
  color: #fff;
  text-shadow: none;
  font-weight: 600;
  font-family: "dashicons";
  font-size: 13px;
  line-height: normal;
  cursor: pointer;
  outline: 0;
  &:before {
    content: "\f345";
    font-size: 1.3rem;
  }
  span {
    border: 0;
    clip: rect(1px, 1px, 1px, 1px);
    -webkit-clip-path: inset(50%);
    clip-path: inset(50%);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    word-wrap: normal !important;
  }
}
.wpt-modal-modal-close:focus,
.wpt-modal-modal-close:hover,
.wpt-modal-modal-close:active {
  //background: #882525;
}
.wpt-modal-modal-overlay[data-background-click="disabled"] {
  cursor: auto;
}


.wpt-modal-modal-title {
  padding: .5em;
  border-bottom: 1px solid #ccc;
  text-align: center;
}
.wpt-modal-modal__content,
.js-modal-content,
.wpt-modal-settings,
.wpt-modal-settings form {
  height: 95vh;
}

.wpt-modal-settings form {
  display: flex;
  flex-direction: column;
}

.wpt-modal-modal__content {

  .inside {
    padding: 1em;
  }
  .wpt-modal-settings {
    display: flex;
    flex-direction: column;
    position: relative;
    padding: 1em 0;
    h2 {
      padding-left: 1em;
    }
    .wpt-modal-settings-actions {
      margin-top: auto;
      background: $light;
      padding: 1em;
    }
  }
  .wpt-settings-overlay {
    position: absolute;
    top: 0; left: 0;
    z-index: 99999;
    background: rgba( $info, .9 );
    color: $white;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    p {
      font-size: 1.5rem;
      font-weight: bold;
      margin-bottom: 0;
    }

    &:after {
      content: ' .';
      font-size: 5rem;
      color: $white;
      animation: dots 1s steps(5, end) infinite;
      margin-left: -2rem;
    }
  }
}

.wpt-repo-explorer {
  padding: 12px;
}

.wpt-repo-list-item {

  background: #fafafa;
  color: #23282d;
  border: 1px solid #ddd;
  position: relative;
  padding: 5px 10px;
  height: auto;
  min-height: 20px;
  width: 90%;
  font-weight: bold;

  div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    overflow: hidden;
    word-wrap: break-word;

    label {
      flex: 1;
    }


  }

  .wpt-repo-sub-branch {
    padding-top: 12px;
    padding-left: 12px;
  }

}

.wpt-repo-deploy-branch {
  &.active:after {
    content: ' .';
    color: $button-primary;
    animation: dotsprimary 1s steps(5, end) infinite;
  }
}

.wpt-repo-explorer-open {
  &.active:after {
    content: ' .';
    color: $white;
    animation: dots 1s steps(5, end) infinite;
  }
}

/* it can be easily adapted in media-queries for tablets/mobile */

/* for this example: tablets */
@media (max-width: 55.625em) {

  .wpt-modal-modal {
    left: 5%;
    top: 5%;
    bottom: 5%;
    width: 90%;
  }

}

/* for this example: mobile */
@media (max-width: 44.375em) {

  .wpt-modal-modal {
    left: 1%;
    top: 1%;
    max-width: 98%;
    bottom: 1%;
  }

}
